GDCM: gdcm::PDFCodec Class Reference

GDCM 3.2.6

Public Member Functions | List of all members
gdcm::PDFCodec Class Reference

PDFCodec class. More...

`#include <gdcmPDFCodec.h>`

Inheritance diagram for gdcm::PDFCodec:
[legend]
Collaboration diagram for gdcm::PDFCodec:
[legend]

## Public Member Functions
| PDFCodec ()
| ~PDFCodec () override
bool | CanCode (TransferSyntax const &) const override
| Return whether this coder support this transfer syntax (can code it).
bool | CanDecode (TransferSyntax const &) const override
| Return whether this decoder support this transfer syntax (can decode it).
bool | Decode (DataElement const &is, DataElement &os) override
| Decode.
Public Member Functions inherited from gdcm::Coder
virtual | ~Coder ()=default
virtual bool | Code (DataElement const &in_, DataElement &out_)
| Code.
Public Member Functions inherited from gdcm::Decoder
virtual | ~Decoder ()=default

## Additional Inherited Members
Protected Member Functions inherited from gdcm::Coder
virtual bool | InternalCode (const char *bv, unsigned long len, std::ostream &os)
Protected Member Functions inherited from gdcm::Decoder
virtual bool | DecodeByStreams (std::istream &, std::ostream &)

## Detailed Description

PDFCodec class.

## Constructor & Destructor Documentation

## ◆ PDFCodec()

gdcm::PDFCodec::PDFCodec | ( |  | ) |

## ◆ ~PDFCodec()

gdcm::PDFCodec::~PDFCodec | ( |  | ) |
| override

## Member Function Documentation

## ◆ CanCode()

bool gdcm::PDFCodec::CanCode | ( | TransferSyntax const & |  | ) | const
| inlineoverridevirtual

Return whether this coder support this transfer syntax (can code it).

Implements gdcm::Coder.

## ◆ CanDecode()

bool gdcm::PDFCodec::CanDecode | ( | TransferSyntax const & |  | ) | const
| inlineoverridevirtual

Return whether this decoder support this transfer syntax (can decode it).

Implements gdcm::Decoder.

## ◆ Decode()

bool gdcm::PDFCodec::Decode | ( | DataElement const & | ,
|  | DataElement & | )
| overridevirtual

Decode.

Reimplemented from gdcm::Decoder.

The documentation for this class was generated from the following file:

- gdcmPDFCodec.h